Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.list
Class TransformedList.TransformedListIterator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractListIteratorDecorator
          org.apache.commons.collections.list.TransformedList.TransformedListIterator

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Enclosing class:
  TransformedList

    protected class TransformedList.TransformedListIterator

extends AbstractListIteratorDecorator

Inner class Iterator for the TransformedList

Field Summary

Fields inherited from class org.apache.commons.collections.iterators.AbstractListIteratorDecorator
`iterator`

Constructor Summary
`protected` | `TransformedList.TransformedListIterator(java.util.ListIterator iterator)`

Method Summary
`void` | `add(java.lang.Object object)`
`void` | `set(java.lang.Object object)`

Methods inherited from class org.apache.commons.collections.iterators.AbstractListIteratorDecorator
`getListIterator, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformedList.TransformedListIterator

    protected TransformedList.TransformedListIterator(java.util.ListIterator iterator)

Method Detail

### add

    public void add(java.lang.Object object)

  Specified by:
    `add` in interface `java.util.ListIterator`
  Overrides:
    `add` in class `AbstractListIteratorDecorator`

### set

    public void set(java.lang.Object object)

  Specified by:
    `set` in interface `java.util.ListIterator`
  Overrides:
    `set` in class `AbstractListIteratorDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.